class dnsmasq {
  package { "dnsmasq":
    ensure => installed,
  }
}

define dnsmasq::config (
  $dhcp-authoritative,
  $dhcp-range,
  $dhcp-option,
  $read-ethers
) {

  include dnsmasq
  
    file { "/etc/dnsmasq.d/my.dnsmasq.conf":
      content => template("dnsmasq/my.dnsmasq.conf.erb"),
      owner   => root,
      group   => root,
      mode    => 755,
      require => Package["dnsmasq"],
      notify  => Service["autossh-tunnel-${name}"],
    }
    
    service { "dnsmasq":
      ensure => running,
      hasrestart => true,
      hasstatus => true,
      require => File["/etc/dnsmasq.d/my.dnsmasq.conf"],
    }

}
    
 
